Public Class Frm_Calc
    Public Type As Calculator.ECalc
    Public Overrides Function AcceptChanged() As Boolean

    End Function
    Public Overrides Function RejectChanged() As Boolean

    End Function
    Public Overrides Function HasChanged() As Boolean

    End Function
    Private Sub Frm_Calc_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown
        If e.KeyCode = Keys.Escape Then
            Me.DialogResult = Windows.Forms.DialogResult.Cancel
        End If
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Type = Calculator.ECalc.REq
        Me.DialogResult = Windows.Forms.DialogResult.OK
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Type = Calculator.ECalc.Use
        Me.DialogResult = Windows.Forms.DialogResult.OK
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Type = Calculator.ECalc.All
        Me.DialogResult = Windows.Forms.DialogResult.OK
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.Close()
    End Sub

    Private Sub bt_설계개선안_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bt_설계개선안.Click
        Select Case Prj.UserAuthType
            Case "ADMIN", "BOTH1" '// 우선 제한된 사용자만 설계개선안 검토 가능
                Type = Calculator.ECalc.설계개선안
                Me.DialogResult = Windows.Forms.DialogResult.OK
            Case Else

        End Select

    End Sub

    Private Sub Frm_Calc_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        Select Case Prj.UserAuthType
            Case "ADMIN", "BOTH1" '//제한된 사용자만 가능
                bt_설계개선안.Visible = True
            Case Else
                bt_설계개선안.Visible = False
        End Select
    End Sub

    Private Sub bt_cancel_Click(sender As System.Object, e As System.EventArgs) Handles bt_cancel.Click
        Me.DialogResult = Windows.Forms.DialogResult.Cancel
    End Sub
End Class